Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.agent
[Java] Class GrailsPluginManagerReloadPlugin

    java.lang.Object
      org.codehaus.groovy.grails.cli.agent.GrailsPluginManagerReloadPlugin

All Implemented Interfaces:
  org.springsource.loaded.ReloadEventProcessorPlugin

    public class GrailsPluginManagerReloadPlugin
    extends java.lang.Object

Reloading agent plugin for use with the GrailsPluginManager.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`static void` | `register()`
`void` | `reloadEvent(java.lang.String typename, java.lang.Class aClass, java.lang.String encodedTimestamp)`
`boolean` | `shouldRerunStaticInitializer(java.lang.String typename, java.lang.Class aClass, java.lang.String encodedTimestamp)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### register

    public static void register()

### reloadEvent

    public void reloadEvent(java.lang.String typename, java.lang.Class aClass, java.lang.String encodedTimestamp)

### shouldRerunStaticInitializer

    public boolean shouldRerunStaticInitializer(java.lang.String typename, java.lang.Class aClass, java.lang.String encodedTimestamp)

Groovy Documentation